C# Класс RevitLookup.Utils.Geometry

Показать файл Открыть проект

Открытые методы

Метод Описание
GetEdgesOnPlane ( EdgeArray edgeArray, XYZ normal ) : EdgeArray

Given an array of edges, weeds out any edges not present on the desired plane

GetEdgesOnPlaneAtOffset ( EdgeArray edgeArray, XYZ normal, double offset ) : EdgeArray

Given an array of edges, weeds out any edges not present at the given offset

GetProfile ( Solid solid, double offset, Autodesk.Revit app ) : CurveArray

Given a solid, returns a curve array containing the edges which are visible in plan view

GetWorldPlane ( Autodesk app ) : SketchPlane

Get the "standard" plane (equiv. to WCS in AutoCAD terms)

Mirror ( Curve curve, XYZ axis, Application app ) : Curve

Given a curve, mirrors it along the given axis

Mirror ( XYZ point, XYZ axis ) : XYZ

Given a point, mirrors it along the given axis

ToCurveArray ( EdgeArray edgeArray, CurveArray curveArray ) : CurveArray

Given an edge Array converts it to a curveArray

Описание методов

GetEdgesOnPlane() публичный статический Метод

Given an array of edges, weeds out any edges not present on the desired plane
public static GetEdgesOnPlane ( EdgeArray edgeArray, XYZ normal ) : EdgeArray
edgeArray EdgeArray
normal XYZ normal to the desired plane
Результат EdgeArray

GetEdgesOnPlaneAtOffset() публичный статический Метод

Given an array of edges, weeds out any edges not present at the given offset
public static GetEdgesOnPlaneAtOffset ( EdgeArray edgeArray, XYZ normal, double offset ) : EdgeArray
edgeArray EdgeArray the array of edges
normal XYZ normal to the desired plane
offset double offset from the plane
Результат EdgeArray

GetProfile() публичный статический Метод

Given a solid, returns a curve array containing the edges which are visible in plan view
public static GetProfile ( Solid solid, double offset, Autodesk.Revit app ) : CurveArray
solid Solid solid whose plan view edges are needed
offset double offset from plane
app Autodesk.Revit revit application
Результат CurveArray

GetWorldPlane() публичный статический Метод

Get the "standard" plane (equiv. to WCS in AutoCAD terms)
public static GetWorldPlane ( Autodesk app ) : SketchPlane
app Autodesk
Результат SketchPlane

Mirror() публичный статический Метод

Given a curve, mirrors it along the given axis
public static Mirror ( Curve curve, XYZ axis, Application app ) : Curve
curve Curve curve to mirror
axis XYZ axis to mirror along
app Application revit application
Результат Curve

Mirror() публичный статический Метод

Given a point, mirrors it along the given axis
public static Mirror ( XYZ point, XYZ axis ) : XYZ
point XYZ point to mirror
axis XYZ
Результат XYZ

ToCurveArray() публичный статический Метод

Given an edge Array converts it to a curveArray
public static ToCurveArray ( EdgeArray edgeArray, CurveArray curveArray ) : CurveArray
edgeArray EdgeArray edgeArray to convert
curveArray CurveArray curveArray to fill
Результат CurveArray